### Signal

# Gtk Notebook::create-window

#### Declaration

    GtkNotebook*
    create_window (
      GtkNotebook self,
      GtkWidget* page,
      gpointer user_data
    )

#### Description [src]

The ::create-window signal is emitted when a detachable tab is dropped on the root window.

A handler for this signal can create a window containing a notebook where the tab will be attached. It is also responsible for moving/resizing the window and adding the necessary properties to the notebook (e.g. the `GtkNotebook`:group-name ).

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`page` | `GtkWidget`
| The tab of `notebook` that is being detached.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkNotebook`
| A `GtkNotebook` that `page` should be added to.
| The data is owned by the called function.
| The return value can be `NULL`.